Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Delete an item

conversations.items.delete(item_id, **kwargs) -> Conversation
DELETE
/conversations/{conversation_id}/items/{item_id}

Delete an item from a conversation with the given IDs.

Parameters
conversation_id: str
item_id: str
Returns
class Conversation: …
id: str

The unique ID of the conversation.

created_at: int

The time at which the conversation was created, measured in seconds since the Unix epoch.

formatunixtime
metadata: object

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

object: Literal["conversation"]

The object type, which is always conversation.

Delete an item

from openai import OpenAI
client = OpenAI()

conversation = client.conversations.items.delete("conv_123", "msg_abc")
print(conversation)
Response example
{
  "id": "conv_123",
  "object": "conversation",
  "created_at": 1741900000,
  "metadata": {"topic": "demo"}
}
Returns Examples
Response example
{
  "id": "conv_123",
  "object": "conversation",
  "created_at": 1741900000,
  "metadata": {"topic": "demo"}
}